summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile.am2
-rwxr-xr-xautogen.sh2
-rw-r--r--configure.ac1
3 files changed, 5 insertions, 0 deletions
diff --git a/Makefile.am b/Makefile.am
index 8b5eb01..8fead48 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -20,6 +20,8 @@
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.
+ACLOCAL_AMFLAGS = -I m4
+
SUBDIRS = include/epoxy src
SUBDIRS += test
diff --git a/autogen.sh b/autogen.sh
index f4cdee4..02b81ef 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -6,6 +6,8 @@ test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
cd "$srcdir"
+mkdir m4 || exit 1
+
autoreconf -v --install || exit $?
cd "$ORIGDIR" || exit $?
diff --git a/configure.ac b/configure.ac
index 50b9d5e..cc1fc50 100644
--- a/configure.ac
+++ b/configure.ac
@@ -27,6 +27,7 @@ AC_INIT([libepoxy],
[libepoxy])
AC_CONFIG_SRCDIR([Makefile.am])
AC_CONFIG_HEADERS([config.h])
+AC_CONFIG_MACRO_DIR([m4])
# Initialize Automake
AM_INIT_AUTOMAKE([foreign -Wno-portability dist-xz no-dist-gzip tar-ustar subdir-objects])